Mandriva Linux 安全性公告:curl (MDVSA-2014:213)

medium Nessus Plugin ID 79321

Synopsis

遠端 Mandriva Linux 主機缺少一或多個安全性更新。

描述

更新版 curl 套件可修正安全性弱點:

Symeon Paraschoudis 發現 cURL 中的 curl_easy_duphandle() 函式有一個錯誤,在執行 HTTP POST 作業時,可能會導致 libcurl 最後將不應傳送的敏感資料也一併傳送出去。必須按照該順序使用 CURLOPT_COPYPOSTFIELDS 和 curl_easy_duphandle(),然後再使用複製控制碼執行 HTTP POST,此錯誤才會遭到利用。curl 命令行工具不使用此序列,因此並不會受到此問題的影響 (CVE-2014-3707)。

解決方案

更新受影響的套件。

另請參閱

http://advisories.mageia.org/MGASA-2014-0444.html

Plugin 詳細資訊

嚴重性: Medium

ID: 79321

檔案名稱: mandriva_MDVSA-2014-213.nasl

版本: 1.4

類型: local

已發布: 2014/11/19

已更新: 2021/1/6

風險資訊

VPR

風險因素: Medium

分數: 4.2

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.7

媒介: AV:N/AC:M/Au:N/C:P/I:N/A:N

時間媒介: E:ND/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:mandriva:linux:curl, p-cpe:/a:mandriva:linux:curl-examples, p-cpe:/a:mandriva:linux:lib64curl-devel, p-cpe:/a:mandriva:linux:lib64curl4, cpe:/o:mandriva:business_server:1

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2014/11/18

參考資訊

CVE: CVE-2014-3707

BID: 70988

MDVSA: 2014:213